package com.nickman.jms.heartbeats;

/**
 * Title:        Heartbeat Phase 2
 * Description:  Heartbeat Implementation Using Pub/Sub JMS.
 * Copyright:    Copyright (c) 2002
 * Company:      finetix Inc.
 * @author Nicholas Whitehead
 * @version 1.0
 */

public interface IHeartbeatSubscriberListener extends IHeartbeatEventListener {
  public void notifyHeartbeatFailedEvent(int ticks);
  public void notifyHeartbeatReceived();
  public void notifyHeartbeatSubscriberStopped();
  public void notifyHeartbeatSubscriberStarted();
  public void notifyHeartbeatSubscriberException(Exception erx, HeartbeatBase heartbeat);
  public void notifyHeartbeatResumed(long time, int ticks);
}