package com.nickman.jms.heartbeats;

/**
 * <p>Title: Heartbeat Phase 2</p>
 * <p>Description: Heartbeat Implementation Using Pub/Sub JMS.</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: finetix Inc.</p>
 * @author Nicholas Whitehead
 * @version 1.0
 */

public class TestPublisherListener implements IHeartbeatPublisherListener {
  private HeartbeatPublisher publisher = null;
  int hb = 0;
  public TestPublisherListener(HeartbeatPublisher pub) {
    publisher = pub;
  }
  public void notifyHeartbeatPublisherStopped() {
    print("Publisher Stopped");
  }
  public void notifyHeartbeatPublisherStarted() {
    hb=0;
    print("Publisher Started");
  }
  public void notifyHeartbeatPublisherHeartbeatSent() {
    hb++;
    if(hb>10) {
      publisher.stopHeartbeatProcess();
    }
    print("Publisher Sent Heartbeat");
  }
  public void notifyHeartbeatPublisherException(Exception erx, HeartbeatBase heartbeat) {
    print("Publisher Exception:" + erx);
  }
  public void print(String message) {
      System.out.println("[" + new java.util.Date().toString() + "] " + message);
  }
}
